Bug 98068 - (AIC7XXX SCSI)Adaptec SCSI 29160 card doesn't work with Linux 2.4.20 "new" aic7xxx drivers.
(AIC7XXX SCSI)Adaptec SCSI 29160 card doesn't work with Linux 2.4.20 "new" ai...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-25 19:01 EDT by Murray Todd Williams
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Murray Todd Williams 2003-06-25 19:01:45 EDT
Description of problem:
2.4.20 "new" aic7xxx Adaptec module doesn't recognise a 29160 card.

Version-Release number of selected component (if applicable):

How reproducible:
You need a 29160 SCSI card around. I don't know if I was "lucky" and just got a
newer sub-model of something.

Steps to Reproduce:
1. Install GinGin64 release on the IDE drive of a machine with SCSI 29160 card
and SCSI drive.
2. Boot into Linux. Card isn't recognized and SCSI module doesn't load.
3. Manually insmod scsi_mod and then insmod aic7xxx_old and voila! The SCSI
drive is detected. I was able to compile the new 2.4.21 kernel and the "new"
aic7xxx code worked fine. (I didn't include the "old" code in the kernel
compile, and the kernel "saw" the card, so all was okay.
Actual results:

Expected results:

Additional info:
If you include the aic7xxx_old module amoung the modules that the Redhat
installer allows you to manually install, the poor user can probably get around
this problem. Otherwise, if you move to 2.4.21 before releaseing the x86_64
package you should be safe.
Comment 1 Bugzilla owner 2004-09-30 11:41:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.